FreeMat

- Main Page
- Related Pages

vtkDataSetToStructuredGridFilter

Section: Visualization Toolkit Filtering Classes

# Usage

vtkDataSetToStructuredGridFilter is an abstract filter class whose subclasses take as input any dataset and generate a structured grid on output.

To create an instance of class vtkDataSetToStructuredGridFilter, simply invoke its constructor as follows

      obj = vtkDataSetToStructuredGridFilter

# Methods

The class vtkDataSetToStructuredGridFilter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkDataSetToStructuredGridFilter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkDataSetToStructuredGridFilter = obj.NewInstance ()`
- `vtkDataSetToStructuredGridFilter = obj.SafeDownCast (vtkObject o)`
- `obj.SetInput (vtkDataSet input)` - Set / get the input data or filter.
- `vtkDataSet = obj.GetInput ()` - Set / get the input data or filter.